Package wx :: Package lib :: Module wxPlotCanvas

[frames | no frames]

## Module wx.lib.wxPlotCanvas

This is a port of Konrad Hinsen's tkPlotCanvas.py plotting module. After thinking long and hard I came up with the name "wxPlotCanvas.py".

This file contains two parts; first the re-usable library stuff, then, after a "if __name__=='__main__'" test, a simple frame and a few default plots for testing.

Harm van der Heijden, feb 1999

Original comment follows below: # This module defines a plot widget for Tk user interfaces. # It supports only elementary line plots at the moment. # See the example at the end for documentation... # # Written by Konrad Hinsen <hinsen@cnrs-orleans.fr> # With contributions from RajGopal Srinivasan <raj@cherubino.med.jhmi.edu> # Last revision: 1998-7-28 #

Classes
`PlotCanvas` |
`PlotGraphics` |
`PolyLine` |
`PolyMarker` |
`PolyPoints` |

Variable Summary
`str` | `warningmsg` = `'\\\n\nTHIS MODULE IS NOW DEPRECATED\n\nThi...`

Variable Details

### warningmsg

  Type:
    `str`
  Value:

        '''\\

        THIS MODULE IS NOW DEPRECATED

        This module has been replaced by wxPyPlot, which in wxPython
        can be found in wx.lib.plot.py.

        '''

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:27 2007 | http://epydoc.sf.net